Developers
API referenceReferenceProducts

Products - List

List invoicing products for the selected business. Products are reusable invoice row templates and support code/name search. Use `code` for deterministic lookup when the product code is known.

GET
/v1/invoicing/{business_slug}/product/

Path Parameters

business_slug*string

Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.

Query Parameters

code?string

Filter products by exact product code (tuotekoodi). Use this when the code is known.

page?integer

A page number within the paginated result set.

page_size?integer

Number of results to return per page.

search?string

A search term. Numeric values may also match amount fields.

The following fields are searched:

fieldmatch mode
codeprefix
namecontains

Response Body

application/json

curl -X GET "https://example.com/v1/invoicing/string/product/"
{  "count": 123,  "next": 2,  "prev": 1,  "size": 30,  "results": [    {      "id": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "code": "string",      "name": "string",      "unit": "string",      "amount": 0.1,      "vat_exclusive_amount": 0.1,      "vat_inclusive_amount": 0.1,      "vat_amount": 0.1,      "vat_rate": 0.1,      "vat_code": 1,      "is_vat_inclusive": true,      "account_id": 0,      "description": "string"    }  ]}